Package com.documentum.operations

# Interface IDfImportNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfImportNode extends IDfOperationNode
Represents an object in an import operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `enableOLELinksProcessing(boolean shouldProcessOLELinks)`
  Enables processing of OLE links.
  `String`
  `getDefaultFormat()`
  Returns the default repository format name for the local content file of this object.
  `IDfId`
  `getDestinationFolderId()`
  Returns the repository object ID of the destination folder for the copy operation.
  `String`
  `getDocbaseObjectType()`
  Returns the repository object type that is used to create the new repository object for the import node.
  `String`
  `getExternalVariable(String varName)`
  Returns the value of an external variable.
  `String`
  `getFilePath()`
  Returns the canonical path to the content file on the local file system for this node.
  `String`
  `getFormat()`
  Returns the repository format name for the local content file of this object.
  `boolean`
  `getKeepLocalFile()`
  Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `int`
  `getMacOption()`
  Returns the setting for Macintosh handling for this node.
  `String`
  `getMacResourceFilePath()`
  Returns the file path to the resource fork.
  `IDfSysObject`
  `getNewObject()`
  Returns the new IDfSysObject resulting from the check in.
  `IDfId`
  `getNewObjectId()`
  Returns the new repository object ID for the IDfSysObject resulting from the check in.
  `String`
  `getNewObjectName()`
  Returns the object name to be used for the newly imported object.
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the repository object ID of the IDfSysObject for this node.
  `String`
  `getVersionLabels()`
  Returns the symbolic version labels that are applied when the node is checked in.
  `IDfId`
  `getXMLApplicationID()`
  Returns the ID of the XML application, if one was set, that is applied to the document upon import.
  `String`
  `getXMLApplicationName()`
  Returns the name of the XML application, if one was set, that is applied to the document upon import.
  `boolean`
  `isEnabledOLELinksProcessing()`
  Returns true if OLE links processing is enabled
  `void`
  `setDestinationFolderId(IDfId destinationFolderId)`
  Sets the repository object ID for the destination folder for the copy operation.
  `void`
  `setDocbaseObjectType(String docbaseType)`
  Sets the repository object type that is used to create the new repository object for the import node.
  `void`
  `setExternalVariable(String varName, String value)`
  Sets a variable that is available to the XML application's configuration file as an <external_variable>.
  `void`
  `setFilePath(String newFilePath)`
  Sets the file path to use as the contents of this object.
  `void`
  `setFormat(String formatName)`
  Sets the repository format name of the local content file for this object.
  `void`
  `setKeepLocalFile(boolean keepFile)`
  Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `void`
  `setMacOption(int option)`
  Sets the Macintosh behavior options for this node.
  `void`
  `setMacResourceFilePath(String resourceForkFilePath)`
  Sets the path to the Macintosh resource fork file (DfAppleDouble format).
  `void`
  `setNewObjectName(String newObjectName)`
  Sets the name to be used for the new copy of the object.
  `void`
  `setSharingParentId(IDfId parentId)`
  Set sharing parent id for lightweight object created by the operation.
  `void`
  `setTemplate(IDfSysObject templateObject)`
  Sets the template to use when creating a new object.
  `void`
  `setVersionLabels(String newVersionLabels)`
  Sets the symbolic version labels that are applied when the node is checked in.
  `void`
  `setXMLApplicationID(IDfId appId)`
  Sets the XML application ID for the document being imported.
  `void`
  `setXMLApplicationName(String appName)`
  Sets the XML application name for the document being imported.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node. An imported object can have compound or link references to existing repository objects. An existing repository object represented in an import operation will return a non-null value for this method. Newly imported objects will return null for this method.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the repository object ID of the IDfSysObject for this node. An imported object can have compound or link references to existing docbase objects. An existing repository object represented in an import operation will return a non-null value for this method. Newly imported objects will return null for this method.
    Returns:
      object Id of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getNewObject

    IDfSysObject getNewObject() throws DfException
    Returns the new IDfSysObject resulting from the check in. Returns null if the check in step has not yet occurred.
    Returns:
      new IDfSysObject resulting from check in or null if check in has not yet occurred.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getNewObjectId

    IDfId getNewObjectId() throws DfException
    Returns the new repository object ID for the IDfSysObject resulting from the check in. May return a null ID if the check in has not yet been performed.
    Returns:
      new object ID resulting from check in or null ID if check in has not yet been performed.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getNewObjectName

    String getNewObjectName() throws DfException
    Returns the object name to be used for the newly imported object.
    Returns:
      object name to be used for the newly imported object.
    Throws:
      `DfException`

  - ### setNewObjectName

    void setNewObjectName(String newObjectName) throws DfException
    Sets the name to be used for the new copy of the object. Use null to indicate the new object should have an identical name to the original object.
    Parameters:
      `newObjectName` - string to use as the name of the newly copied object.
    Throws:
      `DfException`

  - ### getVersionLabels

    String getVersionLabels() throws DfException
    Returns the symbolic version labels that are applied when the node is checked in. These labels should NOT include any implicit version labels (for example, 1.0), nor the symbolic label CURRENT.
    Returns:
      comma separated list of symbolic version labels.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getVersionLabel(int)`

  - ### setVersionLabels

    void setVersionLabels(String newVersionLabels) throws DfException
    Sets the symbolic version labels that are applied when the node is checked in. These labels should NOT include any implicit version labels (for example, 1.0), nor the symbolic label CURRENT.
    Parameters:
      `newVersionLabels` - comma separated list of symbolic version labels.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getVersionLabel(int)`

  - ### getFilePath

    String getFilePath() throws DfException
    Returns the canonical path to the content file on the local file system for this node. Returns null if the node object does not have a local content file.
    Returns:
      the canonical path to the content file on the local file system for this node, or null if the node object does not have a local content file
    Throws:
      `DfException` - if a DFC error occurs, or the content file does not exist or is not available

  - ### setFilePath

    void setFilePath(String newFilePath) throws DfException
    Sets the file path to use as the contents of this object.
    Parameters:
      `newFilePath` - file path in the local file system.
    Throws:
      `DfException`

  - ### getFormat

    String getFormat() throws DfException
    Returns the repository format name for the local content file of this object.
    Returns:
      docbase format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### getDefaultFormat

    String getDefaultFormat() throws DfException
    Returns the default repository format name for the local content file of this object. Uses format recognition to arrive at this value.
    Returns:
      docbase format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfFormatRecognizer`

  - ### setFormat

    void setFormat(String formatName) throws DfException
    Sets the repository format name of the local content file for this object.
    Parameters:
      `formatName` - docbase format name (e.g. msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### getKeepLocalFile

    boolean getKeepLocalFile() throws DfException
    Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Returns:
      if true, the local content file will not be deleted as part of the operation.
    Throws:
      `DfException`

  - ### setKeepLocalFile

    void setKeepLocalFile(boolean keepFile) throws DfException
    Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Parameters:
      `keepFile` - if true the local content file will not be deleted as part of the operation.
    Throws:
      `DfException`

  - ### getDestinationFolderId

    IDfId getDestinationFolderId() throws DfException
    Returns the repository object ID of the destination folder for the copy operation. This is the folder where, by default, new objects are created. The folder location can be overridden for individual nodes using setDestinationFolderId() of DfOperationNode.
    Returns:
      repository ID of the default destination folder for the operation.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setDestinationFolderId

    void setDestinationFolderId(IDfId destinationFolderId) throws DfException
    Sets the repository object ID for the destination folder for the copy operation. This is the folder where, by default, new objects are created. The folder location can be overridden for individual nodes using setDestinationFolderId() of DfOperationNode.
    Parameters:
      `destinationFolderId` - destination repository folder / cabinet ID.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### getDocbaseObjectType

    String getDocbaseObjectType() throws DfException
    Returns the repository object type that is used to create the new repository object for the import node. The default is "dm_document".
    Returns:
      repository object type name.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getTypeName()`

  - ### setDocbaseObjectType

    void setDocbaseObjectType(String docbaseType) throws DfException
    Sets the repository object type that is used to create the new repository object for the import node. The default is "dm_document".
    Parameters:
      `docbaseType` - repository object type name.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getTypeName()`

  - ### setExternalVariable

    void setExternalVariable(String varName, String value) throws DfException
    Sets a variable that is available to the XML application's configuration file as an <external_variable>.
    Here is an example of how the external variable is used in the XML configuration file:
    <external_variables>
    <external_variable>
    <name>CITY</name>
    <default>Vancouver</default>
    </external_variable>
    </external_variables>
    ...
    <metadata>
    <dctmattr>
    <name>city</name>
    <template><var name="CITY"/></template>
    </dctmattr>
    </metadata>
    If a variable is declared in the XMl configuration file, but is not set via setExternalVariable, the default value of the variable is used.
    Parameters:
      `varName` - The name that the variable is available as in the XML configuration file.
      `value` - The value of the variable.
    Throws:
      `DfException`

  - ### getExternalVariable

    String getExternalVariable(String varName) throws DfException
    Returns the value of an external variable.
    Parameters:
      `varName` - The name of the external variable.
    Returns:
      The value of the variable.
    Throws:
      `DfException`

  - ### setXMLApplicationName

    void setXMLApplicationName(String appName)
    Sets the XML application name for the document being imported. This XML application is applied when the import operation is executed. Set the XML application name to `Ignore` to bypass XML processing.
    Parameters:
      `appName` - The name of the XML application

  - ### getXMLApplicationName

    String getXMLApplicationName()
    Returns the name of the XML application, if one was set, that is applied to the document upon import.
    Returns:
      The XML application name or null, if not set.

  - ### enableOLELinksProcessing

    void enableOLELinksProcessing(boolean shouldProcessOLELinks)
    Enables processing of OLE links. By default, OLE links processing is disabled.
    Parameters:
      `shouldProcessOLELinks` - true to enable OLE links processing, false otherwise.

  - ### setXMLApplicationID

    void setXMLApplicationID(IDfId appId)
    Sets the XML application ID for the document being imported. This XML application is applied when the import operation is executed. Set the XML application name to `Ignore` to bypass XML processing.
    Parameters:
      `appName` - The ID of the XML application

  - ### getXMLApplicationID

    IDfId getXMLApplicationID()
    Returns the ID of the XML application, if one was set, that is applied to the document upon import.
    Returns:
      The XML application ID or null, if not set.

  - ### isEnabledOLELinksProcessing

    boolean isEnabledOLELinksProcessing() throws DfException
    Returns true if OLE links processing is enabled
    Returns:
      true if OLE links processing is enabled, false otherwise. default return value is false.
    Throws:
      `DfException`

  - ### setTemplate

    void setTemplate(IDfSysObject templateObject)
    Sets the template to use when creating a new object.
    Parameters:
      `templateObject` - The sys Object to be used as the template object.

  - ### setMacResourceFilePath

    void setMacResourceFilePath(String resourceForkFilePath)
    Sets the path to the Macintosh resource fork file (DfAppleDouble format). It informs the operation of the location of the resource fork information to commit to the repository.
    Parameters:
      `resourceForkFilePath` - The path of the Macintosh resource fork file
    Since:
      DFC 5.2.5

  - ### getMacResourceFilePath

    String getMacResourceFilePath()
    Returns the file path to the resource fork.
    Returns:
      Returns the file path to the resource fork, null if no resource fork is available.
    Since:
      DFC 5.2.5

  - ### getMacOption

    int getMacOption()
    Returns the setting for Macintosh handling for this node.

    Possible values include:

                        IGNORE_RESOURCE_FORK - No resource fork is stored in the repository, even
                                     if a resource fork file path has been specified.
                        USE_RESOURCE_FORK_IF_AVAILABLE - The resource fork is set to the repository if
                                               supplied by the caller of the operation.
                        REQUIRE_RESOURCE_FORK - The resource fork is required. An error is generated if
                                      resource fork is not made available.
                        GENERATE_RESOURCE_FORK - A resource fork is generated if it is not explicitly
                                       available.

    Returns:
      the setting for Macintosh handling for this node.If no Macintosh option is set via setMacOption(), then RESOURCE_FORK_UNDEFINED is returned.
    Since:
      DFC 5.2.5

  - ### setMacOption

    void setMacOption(int option)
    Sets the Macintosh behavior options for this node.

    Possible values include:

                        IGNORE_RESOURCE_FORK - No resource fork is stored in the repository, even
                                     if the resource fork file path has been specified.
                        USE_RESOURCE_FORK_IF_AVAILABLE - The resource fork is set to the repository if
                                               supplied by the caller of the operation
                        REQUIRE_RESOURCE_FORK - The resource fork is required. An error is generated if the
                                      resource fork is not made available.
                        GENERATE_RESOURCE_FORK - A resource fork is generated if it is not explicitly
                                       available.

    Parameters:
      `option` - - possible values: IGNORE_RESOURCE_FORK, USE_RESOURCE_FORK_IF_AVAILABLE, REQUIRE_RESOURCE_FORK, GENERATE_RESOURCE_FORK.
    Since:
      DFC 5.2.5

  - ### setSharingParentId

    void setSharingParentId(IDfId parentId)
    Set sharing parent id for lightweight object created by the operation. The id is ignored if the type is not a lightweight type.

    Parameters:
      `parentId` - sharing parent id
    Since:
      DFC 6.5.1